Index: RouteNode.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/net/RouteNode.java	(revision 3691)
+++ src/uk/me/parabola/imgfmt/app/net/RouteNode.java	(working copy)
@@ -349,12 +349,17 @@
 	public void checkRoundabouts() {
 
 		List<RouteArc> roundaboutArcs = new ArrayList<RouteArc>();
-
+		int countNonRoundaboutArcs = 0;
 		for(RouteArc a : arcs) {
 			// ignore ways that have been synthesised by mkgmap
-			if(!a.getRoadDef().isSynthesised() && a.isDirect() && 
-			   a.getRoadDef().isRoundabout()) {
-				roundaboutArcs.add(a);
+			if (!a.getRoadDef().isSynthesised() && a.isDirect()){
+				if(a.getRoadDef().isRoundabout())
+					roundaboutArcs.add(a);
+				else
+				{
+					if ((a.getRoadDef().getAccess() & AccessTagsAndBits.CAR) > 0)
+						countNonRoundaboutArcs++;
+				}
 			}
 		}
 			
@@ -364,7 +369,10 @@
 			else
 				log.warn("Roundabout " + roundaboutArcs.get(0).getRoadDef() + " ends at " + coord.toOSMURL());
 		}
-
+		if ((roundaboutArcs.size() > 0) && (countNonRoundaboutArcs > 1)){
+			RoadDef rd = roundaboutArcs.get(0).getRoadDef();
+			log.warn("Roundabout",rd,"is connected to multiple arcs at " + coord.toOSMURL());
+		}
 		if(roundaboutArcs.size() > 2) {
 			for(RouteArc fa : arcs) {
 				if(fa.isForward() && fa.isDirect()) {
